#104174 Report by node travis-ci covering 1859 tests from 47 modules resulted into 9 errors

Report

ObsPy Version
1.1.1.post0+709.g4523ac8771
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/542724584
GitHub Pull Request
https://github.com/obspy/obspy/pull/2397
Report File
XML Document
Total Runtime
380.9 sec
Report Date/Time
2019-06-07 07:58:43

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
i386
Python Compiler
Clang 4.0.1 (tags/RELEASE_401/final)
Python Implementation
CPython
Python Version
3.7.3
Release
17.4.0
System
Darwin
Version
Darwin Kernel Version 17.4.0: Sun Dec 17 09:19:54 PST 2017; root:xnu-4570.41.2~1/RELEASE_X86_64

Dependencies

cartopy
---
decorator
4.4.0
flake8
---
future
0.17.1
geographiclib
1.49
lxml.etree
4.3.3
m2crypto
---
matplotlib
3.1.0
mock
3.0.5
mpl_toolkits.basemap
1.1.0
numpy
1.16.4
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.6
requests
2.22.0
scipy
1.2.1
setuptools
41.0.1
shapefile
2.1.0
sqlalchemy
1.3.3

Modules (47)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 2 1 2
obspy.db - -
obspy.geodetics - -
obspy.imaging 1 3
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 6 4 5 6 7 8 9
obspy.taup - -
Summary 9 9

Tracebacks (9)

Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_stream.py", line 2654, in test_method_rotate_to_uvw
http://examples.obspy.org/step_table_galperin_and_xyz.mseed')
File "</Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/decorator.py:decorator-gen-31>", line 2, in read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/decorator.py", line 300, in _map_example_filename
return func(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/stream.py", line 210, in read
st = _generic_reader(pathname_or_url, _read, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/base.py", line 676, in _generic_reader
raise IOError(2, "No such file or directory", pathname)
FileNotFoundError: [Errno 2] No such file or directory: ' http://examples.obspy.org/step_table_galperin_and_xyz.mseed'
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connection.py", line 159, in _new_conn
(self._dns_host, self.port), self.timeout, **extra_kw)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/util/connection.py", line 57, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/socket.py", line 748, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connectionpool.py", line 343, in _make_request
self._validate_conn(conn)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connectionpool.py", line 839, in _validate_conn
conn.connect()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connection.py", line 301, in connect
conn = self._new_conn()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connection.py", line 168, in _new_conn
self, "Failed to establish a new connection: %s" % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x1c1dc4a400>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connectionpool.py", line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/util/retry.py", line 399, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /test.sac (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1c1dc4a400>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_stream.py", line 1913, in test_read_url_via_network
tr = read('https://examples.obspy.org/test.sac', dtype=np.int32)[0]
File "</Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/decorator.py:decorator-gen-31>", line 2, in read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/decorator.py", line 300, in _map_example_filename
return func(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/stream.py", line 210, in read
st = _generic_reader(pathname_or_url, _read, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/base.py", line 664, in _generic_reader
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/base.py", line 618, in download_to_file
r = requests.get(url, stream=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/api.py", line 75, in get
return request('get', url, params=params, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/api.py", line 60, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
resp = self.send(prep, **send_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
r = adapter.send(request, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/adapters.py", line 516, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /test.sac (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1c1dc4a400>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known'))
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/tests/test_source.py", line 35, in test_farfield_with_quiver
mt, kind=['beachball', 's_quiver', 'p_quiver'], show=False)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/source.py", line 134, in plot_radiation_pattern
fig, axes, kind = _setup_figure_and_axes(kind, fig=fig)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/imaging/source.py", line 69, in _setup_figure_and_axes
nrows, ncols_, i * ncols_ + j + 1, **kwargs))
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/matplotlib/figure.py", line 1414, in add_subplot
a = subplot_class_factory(projection_class)(self, *args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/matplotlib/axes/_subplots.py", line 69, in __init__
self._axes_class.__init__(self, fig, self.figbox, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/mpl_toolkits/mplot3d/axes3d.py", line 101, in __init__
super().__init__(fig, rect, frameon=True, *args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/matplotlib/axes/_base.py", line 509, in __init__
self.update(kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/matplotlib/artist.py", line 957, in update
ret = [_update_property(self, k, v) for k, v in props.items()]
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/matplotlib/artist.py", line 957, in <listcomp>
ret = [_update_property(self, k, v) for k, v in props.items()]
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/matplotlib/artist.py", line 954, in _update_property
return func(v)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/matplotlib/axes/_base.py", line 1281, in set_aspect
'It is not currently possible to manually set the aspect '
NotImplementedError: It is not currently possible to manually set the aspect on 3D axes
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_spectral_estimation.py", line 808, in test_exception_reading_newer_npz
items = {key: data[key] for key in data.files}
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_spectral_estimation.py", line 808, in <dictcomp>
items = {key: data[key] for key in data.files}
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/numpy/lib/npyio.py", line 262, in __getitem__
pickle_kwargs=self.pickle_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/numpy/lib/format.py", line 696, in read_array
raise ValueError("Object arrays cannot be loaded when "
ValueError: Object arrays cannot be loaded when allow_pickle=False
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_spectral_estimation.py", line 224, in test_ppsd
ppsd_loaded = PPSD.load_npz(filename)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/spectral_estimation.py", line 1335, in load_npz
return _load(data)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/spectral_estimation.py", line 1309, in _load
data_ = data[key]
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/numpy/lib/npyio.py", line 262, in __getitem__
pickle_kwargs=self.pickle_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/numpy/lib/format.py", line 696, in read_array
raise ValueError("Object arrays cannot be loaded when "
ValueError: Object arrays cannot be loaded when allow_pickle=False
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_spectral_estimation.py", line 574, in test_ppsd_add_npz
ppsd = PPSD.load_npz(tf1.name, metadata=None)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/spectral_estimation.py", line 1335, in load_npz
return _load(data)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/spectral_estimation.py", line 1309, in _load
data_ = data[key]
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/numpy/lib/npyio.py", line 262, in __getitem__
pickle_kwargs=self.pickle_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/numpy/lib/format.py", line 696, in read_array
raise ValueError("Object arrays cannot be loaded when "
ValueError: Object arrays cannot be loaded when allow_pickle=False
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_spectral_estimation.py", line 411, in test_ppsd_save_and_load_npz
ppsd_loaded = PPSD.load_npz(filename, metadata=paz)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/spectral_estimation.py", line 1335, in load_npz
return _load(data)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/spectral_estimation.py", line 1309, in _load
data_ = data[key]
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/numpy/lib/npyio.py", line 262, in __getitem__
pickle_kwargs=self.pickle_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/numpy/lib/format.py", line 696, in read_array
raise ValueError("Object arrays cannot be loaded when "
ValueError: Object arrays cannot be loaded when allow_pickle=False
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_spectral_estimation.py", line 724, in test_ppsd_temporal_plot
ppsd = PPSD.load_npz(self.example_ppsd_npz)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/spectral_estimation.py", line 1335, in load_npz
return _load(data)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/spectral_estimation.py", line 1309, in _load
data_ = data[key]
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/numpy/lib/npyio.py", line 262, in __getitem__
pickle_kwargs=self.pickle_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/numpy/lib/format.py", line 696, in read_array
raise ValueError("Object arrays cannot be loaded when "
ValueError: Object arrays cannot be loaded when allow_pickle=False
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tests/test_spectral_estimation.py", line 353, in test_ppsd_w_iris_against_obspy_results
results_paz = PPSD.load_npz(filename_paz, metadata=None)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/spectral_estimation.py", line 1335, in load_npz
return _load(data)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/spectral_estimation.py", line 1309, in _load
data_ = data[key]
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/numpy/lib/npyio.py", line 262, in __getitem__
pickle_kwargs=self.pickle_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/numpy/lib/format.py", line 696, in read_array
raise ValueError("Object arrays cannot be loaded when "
ValueError: Object arrays cannot be loaded when allow_pickle=False

Skipped Tests (25)

Submodule Test Skip Message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not campatible with basemap
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not campatible with basemap
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not campatible with basemap
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not campatible with basemap
core test_plot_catalog_before_1900 (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not campatible with basemap
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) matplotlib 3.0.1 is not campatible with basemap
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) unsupported proj4 library
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
signal test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase) matplotlib >= 3 shifts labels

Slowest Tests (20)

Runtime Test
19.466s __init__ (obspy.taup)
16.487s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
16.080s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
12.482s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
8.968s plot_travel_times (obspy.taup.tau)
8.576s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
8.030s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
7.363s test_regional_models (obspy.taup.tests.test_tau.TauPyModelTestCase)
5.941s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
5.368s test_many_identically_named_phases (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
5.140s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
4.697s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
4.114s test_plot_wiggles_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
4.107s test_plot_wiggles_vertical_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
4.089s test_plot_wiggles_negative_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.982s test_plot_wiggles_positive_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.951s test_auto_read_arclink_xml (obspy.io.arclink.tests.test_inventory_xml.ArclinkInventoryTestCase)
3.939s test_plot_ref_time_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.933s test_plot_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.916s test_plot_colored_section (obspy.imaging.tests.test_waveform.WaveformTestCase)

Chuck Norris Fact

Chuck Norris does not code in cycles, he codes in strikes.